<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BookingDates StructType
 * Meta information extracted from the WSDL
 * - documentation: Dates for which this Offer is valid
 * @subpackage Structs
 */
class BookingDates extends AbstractStructBase
{
    /**
     * The EffectiveDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EffectiveDate
     */
    public $EffectiveDate;
    /**
     * The ExpirationDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ExpirationDate
     */
    public $ExpirationDate;
    /**
     * Constructor method for BookingDates
     * @uses BookingDates::setEffectiveDate()
     * @uses BookingDates::setExpirationDate()
     * @param \StructType\EffectiveDate $effectiveDate
     * @param \StructType\ExpirationDate $expirationDate
     */
    public function __construct(\StructType\EffectiveDate $effectiveDate = null, \StructType\ExpirationDate $expirationDate = null)
    {
        $this
            ->setEffectiveDate($effectiveDate)
            ->setExpirationDate($expirationDate);
    }
    /**
     * Get EffectiveDate value
     * @return \StructType\EffectiveDate|null
     */
    public function getEffectiveDate()
    {
        return $this->EffectiveDate;
    }
    /**
     * Set EffectiveDate value
     * @param \StructType\EffectiveDate $effectiveDate
     * @return \StructType\BookingDates
     */
    public function setEffectiveDate(\StructType\EffectiveDate $effectiveDate = null)
    {
        $this->EffectiveDate = $effectiveDate;
        return $this;
    }
    /**
     * Get ExpirationDate value
     * @return \StructType\ExpirationDate|null
     */
    public function getExpirationDate()
    {
        return $this->ExpirationDate;
    }
    /**
     * Set ExpirationDate value
     * @param \StructType\ExpirationDate $expirationDate
     * @return \StructType\BookingDates
     */
    public function setExpirationDate(\StructType\ExpirationDate $expirationDate = null)
    {
        $this->ExpirationDate = $expirationDate;
        return $this;
    }
}
